BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/policy/list
getWarehouseAdmin BFF

/bff/warehouse/policy/list

List stock policies (Tier 1 #4)

WarehousegetBffWarehousePolicyList

Parameters

5 query

Query parameters

· 5
warehouseIdstringOptional
Exampleexample_warehouseId
productIdstringOptional
Exampleexample_productId
productVariantIdstringOptional
Exampleexample_productVariantId
limitstringOptional
Exampleexample_limit
offsetstringOptional
Exampleexample_offset

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idnumberRequired
warehouseIdnumberRequired
warehouseNamestringRequired
productIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
productCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productVariantIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
variantCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
variantNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
virtualItemSkustring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
itemLabelstringRequired
minThresholdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
reorderPointnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
maxCapacitynumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
allowBackorderbooleanRequired
notifyChannelsstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
isActivebooleanRequired
notestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
insertedDatestringRequired
updatedDatestringRequired
itemCountnumberRequired

Response example

application/json
{
  "items": [
    {
      "id": 0,
      "warehouseId": 0,
      "warehouseName": "example_warehouseName",
      "itemLabel": "example_itemLabel",
      "allowBackorder": false,
      "isActive": false,
      "insertedDate": "example_insertedDate",
      "updatedDate": "example_updatedDate"
    }
  ],
  "itemCount": 0
}

Request example

GET /bff/warehouse/policy/list

get
curl -X GET "https://api.bizkithub.com/bff/warehouse/policy/list?warehouseId=example_warehouseId&productId=example_productId&productVariantId=example_productVariantId&limit=example_limit&offset=example_offset" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key